#
# spec file for package sane (Version 1.0.18)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-glib diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal info insserv klogd latex-ucs less libacl libattr libcom_err libexif libgcc libgphoto2 libieee1284 libjpeg libjpeg-devel libnscd libpng libstdc++ libtool libusb libxcrypt libxml2 libzio logrotate m4 make man mktemp module-init-tools ncurses ncurses-devel net-snmp net-snmp-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl perl-TermReadKey permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm rpm-devel sed strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone udev unzip util-linux vim zlib zlib-devel

Name:           sane
BuildRequires:  libgphoto2 libieee1284 libjpeg-devel libpng net-snmp-devel pkgconfig te_ams te_latex
License:        GPL, distributable
Group:          Hardware/Scanner
Autoreqprov:    on
Summary:        SANE (Scanner Access Now Easy), the Scan Solution
Version:        1.0.18
Release:        1.1
URL:            http://www.sane-project.org/
# URL for Source0: http://alioth.debian.org/download.php/1669/sane-backends-1.0.18.tar.gz
Source0:        sane-backends-%{version}.tar.bz2
# Source100... is SUSE specific stuff:
Source100:      sane-dev
Source101:      sane-port
Source102:      sane.reg
# Enhanced descriptions-external file for the hpoj backend (provided by the package hp-officeJet):
Source103:      hpoj.desc
# New descriptions-external file for the hpaio backend (provided by the package hplip):
# Get scan/sane/hpaio.desc from the hplip sources which matches to this sane package
# version (i.e. get it from the same distribution).
# Set the version which matches to the HPLIP version (e.g. :version "1.6.6a").
# Beautify the model names:
# sed -e 's/"[Hh][Pp] /"/' \
#     -e 's/[Pp][Ss][Cc]/PSC/' \
#     -e 's/Printer Scanner Copier/PSC/' \
#     -e 's/[Oo][Ff][Ff][Ii][Cc][Ee][Jj][Ee][Tt]/OfficeJet/' \
#     -e 's/[Ss][Ee][Rr][Ii][Ee][Ss]/series/' \
# Make seperate model entries e.g. for "LaserJet 3300 3310 3320".
# Change entries like "FooBar series 123" to "FooBar 123 series".
Source104:      hpaio.desc
# Original iscan descriptions-external file for the epkowa backend (provided by the package iscan).
# This file is a copy of .../doc/epkowa.desc in the sources of the iscan package
# but for compliance with the rest the manufacturer name is changed from "EPSON" to "Epson":
Source105:      epkowa.desc
# Patch1 does locale rename: no -> nb:
Patch1:         sane-backends-1.0.16-nb.patch
# Patch2 fixes a too small char array which causes a buffer overflow if SANE_DEBUG_EPSON is set:
Patch2:         fix-buffer-overflow.patch
# Patch3 replaces fixed HZ compile-time value by sysconf(_SC_CLK_TCK) runtime value:
Patch3:         replace-HZ-by-sysconf_SC_CLK_TCK.patch
# Install into this non-root directory (required when norootforbuild is used):
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# The postinstall script requires this:
# (pre-requirement of resmgr is no problem because sane requires libresmgr in any case)
PreReq:         resmgr, coreutils, /bin/sed, /bin/ps, /usr/bin/killall
# Built with libieee1284 which is needed to access parallel port scanners:
Requires:       libieee1284
# The rest of the world has package names 'sane-backends' and 'sane-frontends'
# according to the two SANE open source software projects.
# Therefore third party RPMs which require SANE libraries have 'Requires: sane-backends':
Provides:       sane-backends
# Skip testing devel dependencies required by libtool .la files by the following comment:
# skip-check-libtool-deps

%description
The software consists of "SANE-backends", "scanimage", and the "saned".

SANE-backends are the actual hardware drivers for various scanner
types.

Applications that use a backend to access a scanner are referred to as
SANE-frontends. This package contains the command-line frontend
"scanimage". There are various graphical frontends like "xscanimage"
(package sane-frontends), XSane (package xsane), and the KDE frontend
Kooka (package kdegraphics3-scan).

The "saned" daemon provides the service "sane-port" to access scanners
which are connected to a server via network from client hosts which run
the "net" backend.



Authors:
--------
    Abel Deuring <a.deuring@satzbau-gmbh.de>
    Andras Major <andras@users.sourceforge.net>
    Andreas Beck <becka@uni-duesseldorf.de>
    Andreas Bolsch <ab@maths.nott.ac.uk>
    Andreas Czechanowski <m075@ins.uni-stuttgart.de>
    Andreas Nowack <nowack.andreas@gmx.de>
    Andreas Rick <andreas.rick@free.fr>
    Andrew Kuchling <amk@magnet.com>
    Bernd Schroeder <bernd@aquila.muc.de>
    Bertrik Sikken <bertrik@zonnet.nl>
    Brian J. Murrell <brian@interlinx.bc.ca>
    Chris Bagwell <cbagwell@users.sourceforge.net>
    Chris Pinkham <cpinkham@corp.infi.net>
    Christian Bucher <cbucher@vernetzt.at>
    David Etherton <etherton@netcom.com>
    David F. Skoll <dskoll@iname.com>
    David Huggins-Daines <bn711@freenet.carleton.ca>
    David Mosberger <David.Mosberger@acm.org>
    David Stevenson <david.stevenson@zoom.co.uk>
    Didier Carlier <didier@sema.be>
    Earle F. Philhower III <earle@ziplabel.com>
    Eddy De Greef <eddy_de_greef@tiscali.be>
    Eugene S. Weiss <yossarian@users.sourceforge.net>
    Feico W. Dillema <dillema@acm.org>
    Franck Schneider <schnefra@hol.fr>
    Frank Zago <sane@zago.net>
    Frederik Ramm <frederik@remote.org>
    Gerard Klaver <gerard@gkall.hobby.nl>
    Gerhard Jaeger <gerhard@gjaeger.de>
    Giuseppe Sacco <eppesuig@debian.org>
    Glenn Ramsey <glenn@componic.com>
    Gordon Matzigkeit  <gord@gnu.ai.mit.edu>
    Guido Muesch <odiug@faho.rwth-aachen.de>
    Helmut Koeberle <helmut.koeberle@bytec.de>
    Henning Meier-Geinitz <henning@meier-geinitz.de>
    Henrik Johansson <henrikjo@post.urfors.se>
    Ingo Schneider <schneidi@informatik.tu-muenchen.de>
    Ingo Wilken <Ingo.Wilken@informatik.uni-oldenburg.de>
    James Perry <jamesp@epcc.ed.ac.uk>
    Jeff Freedman <jsf@hevanet.com>
    Jochen Eisinger <jochen.eisinger@gmx.net>
    Juergen G. Schimmer <schimmi@nbgm.siemens.de>
    Julien Blache <jb@jblache.org>
    Karl Anders Oygard <karlo@opera.no>
    Karl Heinz Kremer <khk@khk.net>
    Karsten Festag <karsten.festag@gmx.de>
    Kazuhiro Sasayama <kaz@hypercore.co.jp>
    Kazuya Fukuda <kaafuu@mug.biglobe.ne.jp>
    Kevin Charter <charter@cs.rice.edu>
    M. Allan Noah <anoah@pfeiffer.edu>
    M.F. <massifr@tiscalinet.it>
    Manuel Panea <Manuel.Panea@rzg.mpg.de>
    Marcio Teixeira <marciot@users.sourceforge.net>
    Marian Eichholz <eichholz@computer.org>
    Markus Mertinat <Markus.Mertinat@Physik.Uni-Augsburg.DE>
    Martijn van Oosterhout <kleptog@svana.org>
    Matthew Duggan <stauff1@users.sourceforge.net>
    Matthew Marjanovic <maddog@mir.com>
    Mattias Ellert <mattias.ellert@tsl.uu.se>
    Max Vorobiev <pcwizard@yandex.ru>
    Meino Christian Cramer <mccramer@s.netic.de>
    Michael Herder <crapsite@gmx.net>
    Michael K. Johnson <johnsonm@redhat.com>
    Michel Roelofs <michelr@stack.nl>
    Milon Firikis <milonf@ariadne-t.gr>
    Mitsuru Okaniwa <m-okaniwa@bea.hi-ho.ne.jp>
    Nathan Rutman <nathan@gordian.com>
    Oliver Rauch <Oliver.Rauch@Rauch-domain.de>
    Oliver Schirrmeister <oschirr@abm.de>
    Oliver Schwartz <oliverschwartz@users.sourceforge.net>
    Patrick Reynolds <patrickr@virginia.edu>
    Peter Fales <peter@fales-lorenz.net>
    Peter Kirchgessner <peter@kirchgessner.net>
    Petter Reinholdtsen <pere@hungry.com>
    Randolph Bentson <bentson@grieg.holmsjoen.com>
    Rene Rebe <rene@rocklinux.org>
    Roger Wolff <R.E.Wolff@BitWizard.nl>
    Sebastien Sable <Sebastien.Sable@snv.jussieu.fr>
    Sergey Vlasov <vsu@altlinux.ru>
    Simon Krix <kinsei@users.sourceforge.net>
    Simon Munton <simon@munton.demon.co.uk>
    Stephane Voltz <svoltz@wanadoo.fr>
    Thomas Soumarmon <soumarmt@nerim.net>
    Tom Martone <tom@martoneconsulting.com>
    Tom Wang <tom.wang@mustek.com.tw>
    Tristan Tarrant <ttarrant@etnoteam.it>
    Ullrich Sigwanz <usigwanz@freesurf.ch>
    Ulrich Deiters <ukd@xenon.pc.Uni-Koeln.DE>

%debug_package
%prep
%setup -q -n sane-backends-%{version}
# locale rename: no -> nb:
%patch1 -b .nb
mv po/sane-backends.no.po po/sane-backends.nb.po
# Patch2 fixes a too small char array which causes a buffer overflow if SANE_DEBUG_EPSON is set:
%patch2
# Patch3 replaces fixed HZ compile-time value by sysconf(_SC_CLK_TCK) runtime value:
%patch3
# Replace hpoj.desc descriptions-external file by our enhanced version:
cp %{SOURCE103} doc/descriptions-external/hpoj.desc
# Add our new hpaio.desc descriptions-external file:
cp %{SOURCE104} doc/descriptions-external/hpaio.desc
# Replace epkowa.desc descriptions-external file by the version from the iscan package:
cp %{SOURCE105} doc/descriptions-external/epkowa.desc

%build
%{?suse_update_config:%{suse_update_config -f}} 
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DGIMP_ENABLE_COMPAT_CRUFT=1 -fno-strict-aliasing"
export LDFLAGS="-L/%_lib $LDFLAGS"
# Disable locking because /var/lock/sane/ would be a world-writable directory:
./configure --prefix=/usr \
            --exec-prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
            --libdir=%{_libdir} \
            --sbindir=%{_sbindir} \
            --mandir=%{_mandir} \
            --datadir=%{_datadir} \
            --with-gphoto2 \
            --with-docdir=%{_defaultdocdir}/sane/sane-backends \
            --disable-locking
# Enable locking for backends where "99" is the group of the lockfile path (LOCKPATH_GROUP)
# because "99" is the group of the user who runs the build when norootforbuild is used
# and set localstatedir to have the lock files in /var/lock/sane (see backend/Makefile.in).
#            --enable-locking \
#            --with-group=99 \
#            --localstatedir=/var
make

%install
make install DESTDIR=%{buildroot}
# Add libsane-dll links to _libdir so that it will be found by all SANE frontends.
# Change directory to get relative paths in the links (i.e. without $RPM_BUILD_ROOT)
# but use a subshell to avoid a permanent directory change:
rm -rf %{buildroot}%{_libdir}/libsane-dll.so*
( cd %{buildroot}%{_libdir} && ln -s sane/libsane-dll.so* . )
# Disable all backends in /etc/sane.d/dll.conf to avoid problems when backends are active by default:
perl -pi -e 's/^([^#].*)$/#$1/' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
# Allow all users to write into /var/lock/sane/ so that the backends work for normal users
# and set the sticky bit (i.e. others are not allowed to remove lock files):
#chmod 1777 %{buildroot}/var/lock/sane/
# Install the descriptions and descriptions-external files.
# These files are the sources to make %{_defaultdocdir}/sane/sane-backends/*.html
# but these source files must also exist in the installed sane package
# because YaST needs them to create its scanner database:
for d in descriptions descriptions-external
do install -d -m755 %{buildroot}%{_datadir}/sane/$d
   install -m644 doc/$d/*.desc %{buildroot}%{_datadir}/sane/$d
done
# Add ':firmware "required"' entries for the respective scanners to the descriptions files
# so that YaST can show firmware upload related information to the user of such a scanner.
# This must be done after build because those entries are a SUSE specific extension.
# As far as we know all scanners which use the backend gt68xx
# and the related backend artec_eplus48u require a firmware upload,
# see "man sane-gt68xx" and http://www.meier-geinitz.de/sane/gt68xx-backend/
# and see "man sane-artec_eplus48u":
for b in gt68xx artec_eplus48u
do sed -i -e 's/^:model.*$/&\n:firmware "required"/' %{buildroot}%{_datadir}/sane/descriptions/$b.desc
done
# As far as we know (almost) all USB scanners (but not the SCSI scanners)
# which use the backend snapscan require a firmware upload,
# see "man sane-snapscan" and http://snapscan.sourceforge.net/:
sed -i -e 's/^:interface "USB".*$/&\n:firmware "required"/' %{buildroot}%{_datadir}/sane/descriptions/snapscan.desc
# Only the "SnapScan 1236u" needs no firmware upload (see Suse/Novell bug #73960):
sed -i -e '/:model "SnapScan 1236u"/,/:firmware "required"/s/required//' %{buildroot}%{_datadir}/sane/descriptions/snapscan.desc
# Install the USB usermap file (list of USB manufacturer and model IDs)
# and the matching hotplug script under /usr/share/sane because we do not actually use it
# because our resmgr grants USB access by default without hotplug or usermap stuff.
install -m644 tools/hotplug/libsane.usermap %{buildroot}%{_datadir}/sane/
install -m755 tools/hotplug/libusbscanner %{buildroot}%{_datadir}/sane/
# sane-dev related stuff:
install -d -m755 %{buildroot}%{_initrddir}
install -m755 %{SOURCE100} %{buildroot}%{_initrddir}/sane-dev
ln -sf ../..%{_initrddir}/sane-dev %{buildroot}%{_sbindir}/rcsane-dev
# xinetd stuff:
install -d -m755 %{buildroot}%{_sysconfdir}/xinetd.d/
install -m644 %{SOURCE101} %{buildroot}%{_sysconfdir}/xinetd.d/
# OpenSLP registration stuff:
install -d -m755 %{buildroot}%{_sysconfdir}/slp.reg.d
install -m644 %{SOURCE102} %{buildroot}%{_sysconfdir}/slp.reg.d

%post
/sbin/ldconfig
# try to update resmgr permissions for scanners
# in particular for an update from 10.0 to 10.1 (see Suse Bugzilla bug #157055)
# but do not depend on any hal packages because SANE can work without HAL:
# exit silently if any new HAL config file(s) for resmgr already exists:
ls /etc/hal/fdi/policy/10osvendor/*-scanner.fdi &>/dev/null && exit 0
# the HAL fdi file (see Suse Bugzilla bug #142859)
# triggers resmgr only during booting or when the scanner is plugged into USB
# to get resmgr permissions without reboot or the need to re-plug the scanner
# resmgr is called directly (see Suse Bugzilla bug #153705):
# determine the connected USB scanners and exit silently if not possible
test -x /usr/bin/sane-find-scanner || exit 0
# set up a time-bomb background process to avoid that sane-find-scanner may not return
( sleep 3 ; killall -9 sane-find-scanner &>/dev/null ) &
# only USB scaners are found because an output line must contain 'libusb':
SCANNERS="$( /usr/bin/sane-find-scanner -q \
             | sed -n -e 's/^.*vendor=0x\([0-9A-Fa-f]*\).*product=0x\([0-9A-Fa-f]*\).*libusb:\([0-9]*:[0-9]*\)/\1,\2;\3/p' )"
# try to do the resmgr calls and exit silently if not possible:
test -x /sbin/resmgr || exit 0
for SCANNER in $( echo "$SCANNERS" )
do # make fallback IDS for the HAL fdi file (used below):
   ID="${SCANNER%%%%;*}"
   IDS="$IDS $ID"
   # get the USB devices for the resmgr call:
   DEVICE="${SCANNER##*;}"
   BUSNUMBER="${DEVICE%%%%:*}"
   DEVICENUMBER="${DEVICE##*:}"
   if test -n "$BUSNUMBER" -a -n "$DEVICENUMBER"
   then # call resmgr:
        /sbin/resmgr add /dev/bus/usb/$BUSNUMBER/$DEVICENUMBER scanner usb
   fi
done
# try to set up the HAL fdi file and exit silently if it fails
# (do not pre-require any hal package because SANE can work without it):
mkdir -p -m u=rwx,g=rx,o=rx /etc/hal/fdi/policy/10osvendor || exit 0
OUT="/etc/hal/fdi/policy/10osvendor/80-scanner.fdi"
cat /dev/null >$OUT || exit 0
chmod u=rw,g=r,o=r $OUT || exit 0
# write the header with a comment how to make entries manually:
echo '<?xml version="1.0" encoding="ISO-8859-1"?>' >>$OUT
echo '<deviceinfo version="0.2">' >>$OUT
echo '  <device>' >>$OUT
echo '' >>$OUT
echo '<!-- To grant access to USB scanners create entries like:' >>$OUT
echo '    <match key="info.category" string="usbraw">' >>$OUT
echo '      <match key="@info.parent:usb_device.vendor_id" int="0x1a2b">' >>$OUT
echo '        <match key="@info.parent:usb_device.product_id" int="0x3c4d">' >>$OUT
echo '          <merge key="resmgr.class" type="string">scanner</merge>' >>$OUT
echo '        </match>' >>$OUT
echo '      </match>' >>$OUT
echo '    </match>' >>$OUT
echo '"1a2b" and "3c4d" stand for the USB device IDs' >>$OUT
echo 'as displayed by the command /usr/sbin/lsusb -->' >>$OUT
echo '' >>$OUT
# if an old resmgr config file(s) exist (e.g.from 10.0), extract the USB IDs from there
# otherwise use the fallback IDS from the connected scanners (made above):
if ls /etc/resmgr.conf.d/*-scanner.conf &>/dev/null
then IDS="$( cat /etc/resmgr.conf.d/*-scanner.conf \
             | sed -n -e 's/^add usb:vendor=0x\([0-9A-Fa-f]*\),product=0x\([0-9A-Fa-f]*\) scanner$/\1,\2/p' )"
fi
for ID in $( echo "$IDS" )
do VENDOR="${ID%%%%,*}"
   PRODUCT="${ID##*,}"
   if test -n "$VENDOR" -a -n "$PRODUCT"
   then # write an entry:
        echo '    <match key="info.category" string="usbraw">' >>$OUT
        echo "      <match key=\"@info.parent:usb_device.vendor_id\" int=\"0x$VENDOR\">" >>$OUT
        echo "        <match key=\"@info.parent:usb_device.product_id\" int=\"0x$PRODUCT\">" >>$OUT
        echo '          <merge key="resmgr.class" type="string">scanner</merge>' >>$OUT
        echo '        </match>' >>$OUT
        echo '      </match>' >>$OUT
        echo '    </match>' >>$OUT
        echo '' >>$OUT
   fi
done
# write the footer:
echo '  </device>' >>$OUT
echo '</deviceinfo>' >>$OUT
# exit successfully in any case:
exit 0

%postun 
/sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/sane.d
%config(noreplace) %{_sysconfdir}/sane.d/*.conf
%config(noreplace) %{_sysconfdir}/slp.reg.d
%config(noreplace) %{_sysconfdir}/xinetd.d/sane-port
%{_initrddir}/sane-dev
%{_sbindir}/rcsane-dev
%{_sbindir}/saned
%{_bindir}/scanimage
%{_bindir}/sane-config
%{_bindir}/sane-find-scanner
%{_bindir}/gamma4scanimage
%{_datadir}/locale/*/LC_MESSAGES/sane-backends.mo
%dir %{_datadir}/sane
%{_datadir}/sane/
%{_libdir}/libsane*
%{_libdir}/sane/
%{_includedir}/sane/
#%dir /var/lock/sane
%dir %{_defaultdocdir}/sane
%doc %{_defaultdocdir}/sane/sane-backends/
%doc %{_mandir}/man1/scanimage.1.gz
%doc %{_mandir}/man1/sane-config.1.gz
%doc %{_mandir}/man1/sane-find-scanner.1.gz
%doc %{_mandir}/man1/gamma4scanimage.1.gz
%doc %{_mandir}/man5/sane-*.5.gz
%doc %{_mandir}/man7/sane.7.gz
%doc %{_mandir}/man8/saned.8.gz

%changelog -n sane
* Tue Jul 04 2006 - jsmeix@suse.de
- Updated to sane-backends version 1.0.18:
  New backends: dell1600n_net, hp3500, pixma, stv680.
  Updated backends: avision, canon, dll, epson, fujitsu, genesys,
  gt68xx, microtek2, mustek_pp, niash, plustek, snapscan, sp15c,
  test, u12, umax1220u.
  Several bug fixes.
- fix-buffer-overflow.patch fixes a too small char array
  which causes a buffer overflow if SANE_DEBUG_EPSON is set.
- replace-HZ-by-sysconf_SC_CLK_TCK.patch replaces the fixed HZ
  compile-time value (no longer supported by new glibc)
  by the more correct sysconf(_SC_CLK_TCK) runtime value.
- Updated hpaio.desc from the current HPLIP version 1.6.6a.
- Updated epkowa.desc from the current Iscan version 2.1.0.1.
* Wed Mar 22 2006 - jsmeix@suse.de
- Added "haldaemon" to Should-Start in /etc/init.d/sane-dev and
  keeping old name "hal" for the same boot facility to be safe.
* Wed Mar 15 2006 - jsmeix@suse.de
- Fixed percent-characters for RPM in post-install script
  (use '%%%%' in spec file to get actually '%%' in the script).
* Mon Mar 13 2006 - jsmeix@suse.de
- Added automagic but safe pos-install script which tries
  to update resmgr permissions for scanners for an update
  from Suse Linux 10.0 to 10.1 (see Suse Bugzilla bug 157055).
* Fri Jan 27 2006 - jsmeix@suse.de
- Current epkowa.desc from the current iscan package.
- Current hpaio.desc made from the current hplip package.
- Changed hpoj.desc to match better to hpaio.desc.
  Added "hpoj is outdated" comments to hpoj.desc.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 03 2006 - jsmeix@suse.de
- Updated to sane-backends version 1.0.17.
* Mon Sep 26 2005 - jsmeix@suse.de
- Disabled locking because /var/lock/sane/ would be world writable.
* Tue Sep 20 2005 - jsmeix@suse.de
- Updated to sane-backends version 1.0.16.
* Mon Aug 22 2005 - jsmeix@suse.de
- Updated the hpaio.desc file according to our current HPLIP
  software version 0.9.4.
* Tue Aug 09 2005 - jsmeix@suse.de
- Updated the epkowa.desc in this package with the newest version
  from the iscan package to build the SANE documentation files
  accordingly (see the entry dated Thu Feb 17 16:52:24 CET 2005).
* Mon Aug 01 2005 - jsmeix@suse.de
- Added the USB usermap file to the sane package to have the
  USB manufacturer and model IDs available for scanner detection.
* Wed May 25 2005 - jsmeix@suse.de
- Added "Should-Start: hal" to sane-dev.
- The "SnapScan 1236u" needs no firmware upload (SUSE bug 73960).
* Tue May 17 2005 - jsmeix@suse.de
- Fix "... is used uninitialized ..." warnings.
* Fri Mar 11 2005 - jsmeix@suse.de
- Removed the obsolete SLP stuff from sane-dev
  because sane-dev has nothing to do with
  saned and its SLP registration (SUSE bug 72156).
- Using only SANE device entries in sane-dev which start
  with '^/dev/' to find possible SCSI devices because e.g.
  HPLIP creates SANE devices like 'hpaio:.../dev/...'.
- Replaced the test with 'ps' for a running scanimage
  with a simpler test using '/proc/$scanimagePID/cmdline'.
* Thu Feb 24 2005 - jsmeix@suse.de
- Increased the maximum wait time in sane-dev to 30 seconds
  because some scanners fall asleep and need a longer time
  to wake up and respond to 'scanimage -f ...'.
* Thu Feb 17 2005 - jsmeix@suse.de
- Updated the SUSE versions of the descriptions-external files.
- Now the SUSE versions of the descriptions-external files
  are used for build so that the SANE documentation files
  %%{_defaultdocdir}/sane/sane-backends/*.html
  are built accordingly.
- Added 'Provides: sane-backends' because the rest of the world has
  package names 'sane-backends' and 'sane-frontends' according to
  the two SANE software projecs. Therefore third party RPMs which
  require SANE libraries usually have 'Requires: sane-backends'.
* Thu Feb 10 2005 - ro@suse.de
- added libpng to neededforbuild (for tetex)
* Tue Feb 08 2005 - jsmeix@suse.de
- Replaced the descriptions-external file epkowa.desc from SANE
  by an extended SUSE version which has more model listed
  according to "man sane-epkowa" in the SUSE iscan package.
- Removed the automated "insserv" for sane-dev because this
  is now done by the YaST scanner config only if a SCSI scanner
  was set up (i.e. for USB scanners sane-dev is useless and
  therefore it should not run by default).
* Wed Feb 02 2005 - jsmeix@suse.de
- Added a descriptions-external file hpaio.desc which was
  manually derived from the models.xml in the hplip package.
  Therefore there is a package version problem to have a fixed
  source file hpaio.desc but in the future an automated script
  may create an up to date hpaio.desc file.
* Tue Dec 28 2004 - jsmeix@suse.de
- Changed how the descriptions and descriptions-external files
  are installed (those files are needed by YaST to create its
  scanner database): No longer via a doc/Makefile.in patch
  but directly in the spec file to avoid changes in the sources
  for SUSE-specific stuff.
- Added ':firmware "required"' entries for the respective scanners
  to the descriptions files (for gt68xx, artec_eplus48u, snapscan)
  so that YaST knows which scanners require a firmware upload.
- Replaced the descriptions-external file hpoj.desc from SANE
  by an extended SUSE version which has a list of explicite model
  names added so that YaST can show a detailed model list.
* Wed Nov 17 2004 - jsmeix@suse.de
- Changed runlevel script "sane-dev":
  Avoid too long (perhaps infinite) waiting for "scanimage".
  Maximum wait is 10 seconds.
  Improved the format of the output.
* Wed Nov 10 2004 - jsmeix@suse.de
- Changed "sane" runlevel script which sets permissions in /dev/
  and renamed it to "sane-dev" to avoid confusion with the
  SANE network daemon "saned" and its service name "sane-port"
  respectively "sane" (see SUSE bugzilla bug 41233).
* Mon Nov 08 2004 - jsmeix@suse.de
- new sane-backends version 1.0.15
- sane-frontends stuff is moved to the new package sane-frontends
* Wed Oct 20 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Sep 20 2004 - jsmeix@suse.de
- Added a test in /etc/init.d/sane whether slpd is really
  running before "/etc/init.d/slpd reload" is done.
  (SUSE bugzilla bug 42032).
* Wed Sep 15 2004 - jsmeix@suse.de
- Added sane-backends-1.0.14-epson_d8.patch which fixes the
  problem with EPSON D8 function level scanners that have
  a transparency unit (SUSE bugzilla bug 45075).
- Changed the file name of /etc/xinetd.d/sane.xinetd to
  /etc/xinetd.d/sane-port because xinetd ignores files
  with names containing a dot (SUSE bugzilla bug 45313).
* Fri Aug 13 2004 - jsmeix@suse.de
- Changed "sane" to "sane-port" in sane.xinetd see bug 41233
* Thu Jul 15 2004 - jsmeix@suse.de
- Added libieee1284 support (by using the new libieee1284 package)
* Tue Jul 13 2004 - jsmeix@suse.de
- Update sane-backends to version 1.0.14
* Wed Apr 21 2004 - pth@suse.de
- Remove libtool macros from acinclude.m4 that caused build
  failures.
- Fix the cases of unnecessary type-punning, obsoleting the need
  for -fno-strict-aliasing.
- Fix pointer->int casts.
* Thu Apr 01 2004 - jsmeix@suse.de
- Correction of what was done according to previous entry:
  Disable all entries in almost all descriptions-external/*.desc
  files because none of the external backends is included in the
  sane package
  except one: /usr/share/sane/descriptions-external/hpoj.desc
  because the hpoj backend is in fact available because it is
  in the hp-officeJet package which is installed by default
  see bug 37885
* Mon Mar 29 2004 - jsmeix@suse.de
- Removed sane-descriptions-external-epkowa.desc.dif and
  disabled all entries in all descriptions-external/*.desc files
  because none of the external backends is included in the sane
  package (see bugzilla bug #37169) and for details see
  .../doc/packages/sane/sane-backends/sane-backends-external.html
* Thu Mar 25 2004 - jsmeix@suse.de
- Patch sane-descriptions-external-epkowa.desc.dif
  disables those entries in descriptions-external/epkowa.desc
  which are also in descriptions/epson.desc
  because we want to prefer the open source backend "epson"
  (see bugzilla bug #36584).
* Tue Mar 23 2004 - meissner@suse.de
- gimp plugins are now in ../2.0/...
* Mon Mar 22 2004 - meissner@suse.de
- epson.conf triggers autodetect on mentioning of "usb", so just
  add this instead of all ids. #36585
* Fri Mar 12 2004 - meissner@suse.de
- The plustek driver has its very own idea of a config file format,
  adapt the config patch.
* Mon Mar 08 2004 - meissner@suse.de
- Updated the .conf files with most of the USB ids in use,
  so scanimage -L finds the scanners even without kernel module.
* Wed Feb 25 2004 - meissner@suse.de
- Merged all system scanner ids into the hardcoded usermap,
  since newer kernels might no longer have the scanner module.
* Sat Feb 21 2004 - ro@suse.de
- use no-strict-aliasing
* Sat Feb 21 2004 - ro@suse.de
- fix gimp plugin link
* Sat Feb 21 2004 - ro@suse.de
- updated frontends to 1.0.11-cvs to get gimp2 support
- use gtk2 for gimp
* Wed Feb 18 2004 - meissner@suse.de
- actually apply the patch (and update it) and not just
  readd it to the sources.
* Mon Feb 16 2004 - meissner@suse.de
- reapply resmgr patch.
* Fri Feb 06 2004 - jsmeix@suse.de
- new versions sane-backends-1.0.13 and sane-frontends-1.0.11
- use the more important backend version number as package version
* Sat Jan 17 2004 - meissner@suse.de
- fixed small typemismatch in sm3600.c
* Wed Nov 19 2003 - adrian@suse.de
- use $HOSTNAME instead of $LOCALHOST in slp reg file
* Fri Nov 14 2003 - adrian@suse.de
- use correct keyword "X-UnitedLinux-Should-Start" in runlevel script
* Thu Nov 13 2003 - adrian@suse.de
- add xinetd file for sane daemon
- let slpd check for running saned via (x)inetd
- notify slpd, if using saned init script
* Wed Nov 12 2003 - freitag@suse.de
- added registration file for slp daemon
* Mon Nov 10 2003 - ro@suse.de
- use net-snmp instead of ucdsnmp
* Fri Oct 10 2003 - hvogel@suse.de
- fix scanimage path in the init script
* Mon Jun 16 2003 - meissner@suse.de
- Also use -L/%%_lib, so we find -lresmgr on x86_64.
* Fri Jun 13 2003 - meissner@suse.de
- Buildrooted.
- Added missing directories and files.
* Fri Jun 06 2003 - freitag@suse.de
- update to backend version 1.0.12 - better support of current
  devices.
* Mon Mar 03 2003 - freitag@suse.de
- fixed a filelist error which turned out to be a wrong lib link.
  Bug #24567
* Wed Feb 26 2003 - meissner@suse.de
- Added one missing resmgr invocation.
* Mon Feb 17 2003 - meissner@suse.de
- Added resmgr support for both SCSI and USB kernel mode.
  (basically use rsm_open_device). This will allow opening
  the /dev/*scanner devices as user without need for special
  permissions.
- Added a USB hotplug usermap which makes the sm3600 devices
  accessible for libusb. (The rest are handled by the yast2 scanner
  module).
* Mon Feb 17 2003 - freitag@suse.de
- added epson backend directly from the author Karl Hein Kremer due
  to further changes to the USB base code. Removed the patch applied
  before again.
* Mon Feb 17 2003 - freitag@suse.de
- patch applied to detect Epson scanners via libusb correctly.
  Thanks to Karl Heinz Kremer who sent it in.
* Mon Feb 10 2003 - freitag@suse.de
- updated to backends version 1.0.11 which was suggested to avoid
  a possible security whole.
* Mon Feb 03 2003 - freitag@suse.de
- update to stable version 1.0.10
  added gimp and gimp-devel to neededforbuild again to provide gimp
  support for xscanimage
* Fri Jan 31 2003 - meissner@suse.de
- neededforbuild +resmgr, so libusb gets detected.
* Fri Jan 31 2003 - freitag@suse.de
- added backend descriptions file to /usr/share/sane
  moved the style file from /usr/X11R6/lib to /usr/share/sane
  added sane postscript and dvi documentation as extra source
* Mon Jan 27 2003 - freitag@suse.de
- update to version 1.0.10 pre 3
* Fri Jan 24 2003 - freitag@suse.de
- update to pre version 1.0.10, final will follow soon.
  Much more scanner supported.
* Thu Oct 31 2002 - freitag@suse.de
- update to final version 1.0.9
* Tue Oct 29 2002 - ro@suse.de
- removed (old) libtool macros from acinclude.m4
* Fri Oct 18 2002 - freitag@suse.de
- updated to pre version of 1.0.9 in advance for 1.0.9 and did some
  cleanup of the spec like removing a lot of neededforbuild deps
  and applied proper CFLAGS
  Added the gt68xx backend that supports expecially rf's new Mustek
  usb scanner
* Mon Sep 09 2002 - freitag@suse.de
- fixed filelist and added libsane.so again.
* Mon Sep 09 2002 - freitag@suse.de
- removed wrong lib libsane-hpoj from packlist, they came from package
  hp-officeJet accidentially.
* Fri Aug 16 2002 - freitag@suse.de
- added prerequires (Bug #17983) and a postun procedure
* Mon Jul 29 2002 - meissner@suse.de
- gphoto -> libgphoto2
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
* Thu Jul 18 2002 - freitag@suse.de
- reapplied __KERNEL__-Patches
* Wed Jul 17 2002 - freitag@suse.de
- update to sane version 1.0.8:
-Network backend and saned update
-documentation updates
-bugfixes
-updated backends
-new backends
* Tue Mar 19 2002 - freitag@suse.de
- fixed bug #14916
  This bug was caused by an segfault of scanimage which is used to
  find out which scanner are in operation on the network scan server.
  Since scanimage uses a one byte to small buffer in a string copy
  operation, a segfault happens.
  Fixed that bug by enlarging the buffer.
* Fri Mar 08 2002 - freitag@suse.de
- fixed bug #14449
  That changes the sane startup script to work with the scanimage
  from sane package 1.0.7.
  Added a proper check for being root or not. only root may start
  or restart the service (which actually does nothing but setting
  file permissions for scsi scanner). See rcsane.diff for the patch
  applied on rc.sane. Note that rcsane.diff is not applied during
  the build process, but shows the differences against the former
  version of rc.sane
* Mon Feb 18 2002 - freitag@suse.de
- fixed bug 13430 - updated to version 1.0.7 of sane. This broadens
  the scanner support.
* Wed Feb 06 2002 - freitag@suse.de
- minor fixes in rc.sane: removed useless test on start variable
* Thu Jan 10 2002 - freitag@suse.de
- updated to V. 1.0.6, provides bugfixes, gphoto2 changes and some
  new backends
- removed rc.config-template and used rpm macro instead to set the
  rc.config var.
- removed mustek_usb external source, because it is now part of the
  standard sane package.
* Tue Jan 08 2002 - egmont@suselinux.hu
- changed `adjustscannerperm' to `sane' in init script
- removed bogus `probe' entry from the same script
* Wed Nov 21 2001 - bjacke@suse.de
- remove useless provides
- make config files (noreplce)
- use libdir macro
* Wed Sep 12 2001 - freitag@suse.de
- added support for Agfa SnapScan 1236U and updated to a later verion
  of mustek_usb-Backend, which provides better integration to the
  main backend module.
  Disabled all dll-entries in /etc/sane.d/dll.conf to avoid probs
  with wrong device detection which happend in the past. The yast
  module enables the correct one, added a README.SuSE to the sane
  package doc path that describes this change.
* Tue Sep 04 2001 - freitag@suse.de
- added a rc-script that changes the permissions of scsi scanner
  devices if they are installed. The scsi device files are switched
  to permission 666 on startup and reverted back to 640 on shutdown.
* Mon Sep 03 2001 - freitag@suse.de
- added a backend for mustek usb scanners.
* Wed Aug 29 2001 - freitag@suse.de
- added support for scanning from HP all-in-one-devices.
  Therefore, package hp-officeJet is needed.
- added a configure option --docdir to get rid of build failiures
  on distributions which have the documentation not in share.
* Mon Aug 27 2001 - freitag@suse.de
- applied patches for scanimage and sane-find-scanner that produce
  better parseable output for scripts etc. to help yast2 module.
- added a not yet in SANE released driver for mustek usb scanners,
  which are quite common in germany. The driver was initially written
  by a mustek engineer and was overtaken by the mustek backend
  maintainer of SANE.
* Tue Jul 17 2001 - uli@suse.de
- disabled direct PIO access for PPC
* Thu Jul 05 2001 - freitag@suse.de
- update to release 1.0.5
- documentation again created dynamically.
* Thu Jun 28 2001 - freitag@suse.de
- updated to pre-1.0.5 version, 1.0.5 is expected soon
- patched sane-find-scanner to have a silent mode.
* Mon Apr 09 2001 - freitag@suse.de
- applied snapscan-patch, fixed problem with missing gimp-plugin-link
* Fri Mar 30 2001 - uli@suse.de
- fixed to build on PPC
* Fri Mar 23 2001 - freitag@suse.de
- removed dependency to gimp, patch to solve timing probs with
  kernel 2.4
* Fri Jan 05 2001 - freitag@suse.de
- updated to version 1.0.4
* Wed Dec 20 2000 - ro@suse.de
- fixed symlink
* Mon Nov 20 2000 - freitag@suse.de
- hide parport-scanner in standard sane distribution in dll.conf
* Wed Nov 15 2000 - freitag@suse.de
- skipped parport-scanner driver also for axp
* Tue Nov 07 2000 - freitag@suse.de
- skipped parport-scanner for ppc and sparc
* Mon Nov 06 2000 - freitag@suse.de
- fixed Copyright/License-Field in SpecFile
* Thu Nov 02 2000 - ro@suse.de
- fix neededforbuild for new package-names
* Thu Nov 02 2000 - freitag@suse.de
- new version 1.0.3
  patch for Artec AS6E scanner
  patch for HP4200 PPort Scanner
* Mon Sep 25 2000 - uli@suse.de
- fixed to build with new GIMP
* Mon Sep 25 2000 - egger@suse.de
- Upgraded to 1.0.3.
- Added -DGIMP_ENABLE_COMPAT_CRUFT to build again.
- The specfile is quite messy... maybe the maintainer could clean
  that up, please?
* Mon Sep 25 2000 - ro@suse.de
- changed neededforbuild: libgimpd -> gimpdev
* Tue Sep 12 2000 - mhafner@suse.de
- added suse_update_config
* Tue Jun 27 2000 - freitag@suse.de
- libs back to /usr/lib/sane - except libsane.so. and libsane-dll
* Fri Jun 02 2000 - freitag@suse.de
- problem with missing headerfiles and wrong linked libs fixed.
* Wed May 24 2000 - freitag@suse.de
- new configure switch --enable-scsibuffersize due to reported
  problems on the SANE-Mailinglist.
- installed *all* sane-libraries to /usr/lib
* Tue Mar 21 2000 - bodammer@suse.de
- backend for Agfa SnapScan V0.8 again
* Mon Mar 20 2000 - bodammer@suse.de
- update -> sane-1.0.2
  link to libsane-dll.so.1 included for xsane to work
* Sat Mar 04 2000 - ro@suse.de
- removed libgimp from neededforbuild
* Thu Mar 02 2000 - uli@suse.de
- moved man pages to %%{_mandir}
* Mon Feb 07 2000 - kukuk@suse.de
- Don't check for asm/io.h, this will not work on SPARC
* Tue Jan 18 2000 - bodammer@suse.de
- backend for Agfa SnapScan updated to V0.8
  works with new sg-modul from kernel > 2.2.5
* Fri Oct 15 1999 - ro@suse.de
-xscanimage: renamed GIMP_EXTENSION to IS_GIMP_EXTENSION
  (GIMP_EXTENSION is already used as enumerator as of gimp-1.1.10)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 02 1999 - ro@suse.de
- update to 1.0.1
- fixed neededforbuild to get gimp-support back
- removed tcl tk from neededforbuild
* Sun Jul 18 1999 - mha@suse.de
- removed '#' in front of /usr/sbin/saned in sane.spec
  for mb who isn't here today ;-)
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Fri Mar 19 1999 - mb@suse.de
- fixed gtkn, gtkndev, glibn, glibndev dependencies
* Thu Nov 26 1998 - mb@suse.de
- major update to version 1.0
- new enhanced drivers for Abaton, Agfa Focus and Ricoh scanners
- Kodak DC210 still not supported
- Update for many drivers (Artec,Kodak,DC25,Microtek,Microtek2,Mustek
  UMAX and SnapScan).
- removed sgcheck. sgcheck now is in scsiinfo.
* Mon Nov 23 1998 - mb@suse.de
- added sgcheck tool. It scans /proc/scsi/scsi and tells you
  exactly the generic scsi ID of your SCSI devices, respectively
  your scanner.
- added README.sgcheck
* Wed Nov 18 1998 - ro@suse.de
- added libsane.so
* Tue Nov 17 1998 - ro@suse.de
- adjust neededforbuild to current distribution
* Fri Nov 13 1998 - mb@suse.de
- new version 0.74
- new and more scanners supported
- automatically detects attached scanners
* Mon May 25 1998 - mb@suse.de
- new version 0.73
- according to author may still cause trouble with microtek2 scanners!!
- uses new gtk1.0.1
- added scanners to supported list
- lots of bug fixed
* Wed Mar 11 1998 - ro@suse.de
- added libsane.so.0 to filelist
* Wed Feb 04 1998 - mb@suse.de
- new version 0.70
- added support for various scanners, such as agfa, microtek etc.
- bugfixing for umax scanners
* Sun Sep 21 1997 - mb@suse.de
  Initial version 0.63
